RTCWAKE(8)

NAMN
rtcwake - försätter systemet i viloläge tills angiven väckningstid

SYNOPSIS

rtcwake [flaggor] [-d enhet] [-m standby_läge] {-s sekunder|-t tid_t}

BESKRIVNING

Detta program används för att försätta systemet i viloläge och väcka det automatiskt vid en angiven tidpunkt.

Detta använder plattformsoberoende Linux-gränssnitt för att gå in i systemets viloläge och lämna det senast vid en angiven tidpunkt. Den använder alla drivrutiner för RTC-ramverk som stöder standardflaggor för väckning av drivrutinsmodeller.

Detta används normalt som det gamla verktyget apmsleep, för att väcka från ett suspenderat tillstånd som ACPI S1 (standby) eller S3 (suspend-to-RAM). De flesta plattformar kan implementera dessa utan motsvarigheter till BIOS, APM eller ACPI.

På vissa system kan detta också användas som nvram-wakeup, för att väcka från tillstånd som ACPI S4 (suspend to disk). Det är inte alla system som har permanenta media som är lämpliga för sådana suspensionslägen.

Note that alarm functionality depends on hardware; not every RTC is able to set up an alarm up to 24 hours in the future.

Suspend-inställningen kan avbrytas av aktiv maskinvara, t.ex. trådlösa USB-ingångar som fortsätter att skicka händelser under en bråkdel av en sekund efter att returtangenten har tryckts ned. rtcwake försöker undvika detta problem och väntar på att terminalen ska lugna ner sig innan den går in i systemvila.

FLAGGOR

-A, --adjfile fil
    Ange en alternativ sökväg till justeringsfilen.

-a, --auto
    Läs klockläget (om maskinvaruklockan är inställd på UTC eller lokal tid) från filen adjtime, där hwclock(8) lagrar den informationen. Detta är standardinställningen.

--date timestamp
    Set the wakeup time to the value of this timestamp. The format of timestamp can be any of the following:

         YYYYMMDDhhmmss
         "YYYY-MM-DD hh:mm:ss"
         "YYYY-MM-DD hh:mm"      (seconds is 00)
         YYYY-MM-DD              (time is 00:00:00)
         hh:mm:ss                (date is today)
         hh:mm                   (date is today, seconds is 00)
         +number[smhd]           (seconds/minutes/hours/days after now)
         tomorrow                (time is 00:00:00)

    Examples of the +number[smhd] format are: +5m, +6h, +2d. The unit specifier may be longer: +5min, +6hours, +2days.

-d, --device enhet
    Använd den angivna enheten i stället för rtc0 som realtidsklocka. Denna flaggan är endast relevant om ditt system har mer än en RTC. Du kan ange rtc1, rtc2, ... här.

-l, --local
    Antag att hårdvaruklockan är inställd på lokal tid, oavsett innehållet i filen adjtime.

--list-modes
    Lista tillgängliga --mode-flaggargument.

-m, --mode läge
    Gå in i det angivna standby-läget. Giltiga värden för läge är:

    standby
        ACPI-tillstånd S1. Detta tillstånd ger minimala, men verkliga, energibesparingar, samtidigt som det ger en övergång med mycket låg latens tillbaka till ett fungerande system. Detta är standardläget.

    frys
        Processerna är frysta, alla enheter är avstängda och alla processorer går på tomgång. Detta tillstånd är ett allmänt tillstånd som inte behöver något plattformsspecifikt stöd, men det sparar mindre ström än Suspend-to-RAM, eftersom systemet fortfarande är i drift. (Finns sedan Linux 3.9.)

    mem
        ACPI-tillstånd S3 (Suspend-to-RAM). Detta tillstånd ger betydande energibesparingar eftersom allt i systemet försätts i lågeffektläge, utom minnet som försätts i självuppdateringsläge för att behålla sitt innehåll.

    diskett
        ACPI-tillstånd S4 (Suspend-to-disk). Detta tillstånd ger de största energibesparingarna och kan användas även om det inte finns något plattformsstöd på låg nivå för strömhantering. Detta tillstånd fungerar på samma sätt som Suspend-to-RAM, men innehåller ett sista steg där minnesinnehållet skrivs till disk.

    av
        ACPI-tillstånd S5 (Avstängning). Detta görs genom att anropa "/sbin/shutdown". Stöds inte officiellt av ACPI, men det brukar fungera.

    nej
        Avbryt inte, ställ bara in RTC:s väckningstid.

    på
        Avbryt inte, utan läs av RTC-enheten tills en larmtid visas. Detta läge är användbart för felsökning.

    disable
        Inaktivera ett tidigare inställt larm.

    visa
        Print alarm information in format: "alarm: off|on <time>". The time is in ctime(3) output format, e.g., "alarm: on Tue Nov 16 04:48:45 2010".

-n, --dry-run
    Den här flaggan gör allt utom att faktiskt ställa in larmet, stänga av systemet eller vänta på larmet.

-s, --seconds seconds
    Ställ in väckningstiden till sekunder i framtiden från och med nu.

-t, --time time_t
    Ställ in väckningstiden till den absoluta tiden time_t. time_t är tiden i sekunder sedan 1970-01-01, 00:00 UTC. Använd verktyget date(1) för att konvertera mellan mänskligt läsbar tid och time_t.

-u, --utc
    Antag att hårdvaruklockan är inställd på UTC (Universal Time Coordinated), oavsett innehållet i filen adjtime.

-v, --verbose
    Var utförlig.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

ANTECKNINGAR

Vissa PC-system kan för närvarande inte lämna vilolägen som mem med hjälp av endast den kärnkod som den här drivrutinen har åtkomst till. De behöver hjälp från userspace-koden för att få rambufferten att fungera igen.

FILER

/etc/adjtime

HISTORIK

Programmet publicerades flera gånger på LKML och andra listor innan det dök upp i kernel commit message för Linux 2.6 i GIT commit 87ac84f42a7a580d0dd72ae31d6a5eb4bfe04c6d.

UPPHOVSPERSONER

Programmet är skrivet av och förbättrat av

UPPHOVSRÄTT

Detta är fri programvara. Du får vidaredistribuera kopior av den enligt villkoren i länken:http://www.gnu.org/licenses/gpl.html[GNU General Public License]. Det finns INGEN GARANTI, i den utsträckning som tillåts enligt lag.

SE ÄVEN

adjtime_config(5), hwclock(8), date(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot rtcwake ingår i paketet util-linux som kan hämtas från